{% load static %}
<!DOCTYPE html>
<html lang="pt-br">

  <head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link href="https://fonts.googleapis.com/css?family=Montserrat:100,200,300,400,500,600,700,800,900" rel="stylesheet">

    <title>{% block titulo %}App Enquetes{% endblock %}</title>

    <!-- Bootstrap core CSS -->
    <link href="{% static 'enquetes/vendor/bootstrap/css/bootstrap.min.css' %}" rel="stylesheet">

    <!-- Additional CSS Files -->
    <link rel="stylesheet" href="{% static 'enquetes/assets/css/fontawesome.css' %}">
    <link rel="stylesheet" href="{% static 'enquetes/assets/css/templatemo-grad-school.css' %}">
    <link rel="stylesheet" href="{% static 'enquetes/assets/css/owl.css' %}">
    <link rel="stylesheet" href="{% static 'enquetes/assets/css/lightbox.css' %}">

  </head>

<body>

  <!--header-->
  <header class="main-header clearfix" role="header">
    {% if messages %}
    <ul class="messages">
    {% for msg in messages %}
      <div class="alert alert-{{ msg.level_tag }}" role="alert">
        {{ msg.message }}
      </div>
    {% endfor %}
    </ul>
    {% endif %}
    <div class="logo">
      <a href="{% url 'enquetes:index' %}">Aplicação de <em>Enquetes</em></a>
    </div>
    <a href="#menu" class="menu-link"><i class="fa fa-bars"></i></a>
    <nav id="menu" class="main-nav" role="navigation">
      <ul class="main-menu">
        {% block main-menu %}
        <li><a href="/admin" class="external">Admin</a></li>
        <li class="has-submenu"><a href="#">Enquetes</a>
          <ul class="sub-menu">
            <li><a href="{% url 'enquetes:encerradas' %}"
                   class="external">Encerradas</a></li>
            <li><a href="{% url 'enquetes:nova_enquete' %}"
                   class="external">Cadastrar</a></li>
          </ul>
        </li>
        {% if user.is_authenticated %}
          <li class="has-submenu"><a href="#">{{ user.autor.pseudonimo }}</a>
            <ul class="sub-menu">
              <li><a href="{% url 'logout' %}?next=/"
                     class="external">Logout</a></li>
            </ul>
          </li>
        {% endif %}
        {% endblock %}
      </ul>
    </nav>
  </header>


  {% block main-banner %}
  <!-- ***** Main Banner Area Start ***** -->
  <section class="section main-banner" id="top" data-section="section1">
      <video autoplay muted loop id="bg-video">
          <source src="{% static 'enquetes/assets/images/course-video.mp4' %}" type="video/mp4" />
      </video>

      <div class="video-overlay header-text">
          <div class="caption">
              <h6>Cadastre aqui as</h6>
              <h2><em>Suas</em> Enquetes</h2>
              <div class="main-button">
                  <div class="scroll-to-section"><a href="#section2">Faça o seu cadastro</a></div>
              </div>
          </div>
      </div>
  </section>
  <!-- ***** Main Banner Area End ***** -->

  <section class="features">
    <div class="container">
      <div class="row">
        <div class="col-lg-4 col-12">
          <div class="features-post">
            <div class="features-content">
              <div class="content-show">
                <h4><i class="fa fa-pencil"></i>Crie Enquetes</h4>
              </div>
              <div class="content-hide">
                <p>Curabitur id eros vehicula, tincidunt libero eu, lobortis mi. In mollis eros a posuere imperdiet. Donec maximus elementum ex. Cras convallis ex rhoncus, laoreet libero eu, vehicula libero.</p>
                <p class="hidden-sm">Curabitur id eros vehicula, tincidunt libero eu, lobortis mi. In mollis eros a posuere imperdiet.</p>
                <div class="scroll-to-section"><a href="#section2">More Info.</a></div>
            </div>
            </div>
          </div>
        </div>
        <div class="col-lg-4 col-12">
          <div class="features-post second-features">
            <div class="features-content">
              <div class="content-show">
                <h4><i class="fa fa-graduation-cap"></i>Registre Votos</h4>
              </div>
              <div class="content-hide">
                <p>Curabitur id eros vehicula, tincidunt libero eu, lobortis mi. In mollis eros a posuere imperdiet. Donec maximus elementum ex. Cras convallis ex rhoncus, laoreet libero eu, vehicula libero.</p>
                <p class="hidden-sm">Curabitur id eros vehicula, tincidunt libero eu, lobortis mi. In mollis eros a posuere imperdiet.</p>
                <div class="scroll-to-section"><a href="#section3">Details</a></div>
            </div>
            </div>
          </div>
        </div>
        <div class="col-lg-4 col-12">
          <div class="features-post third-features">
            <div class="features-content">
              <div class="content-show">
                <h4><i class="fa fa-book"></i>Se Divirta!</h4>
              </div>
              <div class="content-hide">
                <p>Curabitur id eros vehicula, tincidunt libero eu, lobortis mi. In mollis eros a posuere imperdiet. Donec maximus elementum ex. Cras convallis ex rhoncus, laoreet libero eu, vehicula libero.</p>
                <p class="hidden-sm">Curabitur id eros vehicula, tincidunt libero eu, lobortis mi. In mollis eros a posuere imperdiet.</p>
                <div class="scroll-to-section"><a href="#section4">Read More</a></div>
            </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
  {% endblock %}

  {% block conteudo %}
  {% endblock %}

  {% block fale-conosco %}
  <section class="section contact" data-section="section6">
    <div class="container">
      <div class="row">
        <div class="col-md-12">
          <div class="section-heading">
            <h2>Fale Conosco!</h2>
          </div>
        </div>
        <div class="col-md-6">

        <!-- Do you need a working HTML contact-form script?

                    Please visit https://templatemo.com/contact page -->

          <form id="contact" action="" method="post">
            <div class="row">
              <div class="col-md-6">
                  <fieldset>
                    <input name="name" type="text" class="form-control" id="name" placeholder="Your Name" required="">
                  </fieldset>
                </div>
                <div class="col-md-6">
                  <fieldset>
                    <input name="email" type="text" class="form-control" id="email" placeholder="Your Email" required="">
                  </fieldset>
                </div>
              <div class="col-md-12">
                <fieldset>
                  <textarea name="message" rows="6" class="form-control" id="message" placeholder="Your message..." required=""></textarea>
                </fieldset>
              </div>
              <div class="col-md-12">
                <fieldset>
                  <button type="submit" id="form-submit" class="button">Send Message Now</button>
                </fieldset>
              </div>
            </div>
          </form>
        </div>
        <div class="col-md-6">
          <div id="map">

            <iframe src=https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d7938.605688704929!2d-35.20373786164346!3d-5.8128369120155945!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x7b2ffe4d7b15191%3A0x5c55d75db98a785e!2sInstituto%20Federal%20de%20Educa%C3%A7%C3%A3o%2C%20Ci%C3%AAncia%20e%20Tecnologia%20do%20Rio%20Grande%20do%20Norte!5e0!3m2!1spt-BR!2sbr!4v1657738806155!5m2!1spt-BR!2sbr" width="100%" height="422px" frameborder="0" style="border:0" allowfullscreen></iframe>
          </div>
        </div>
      </div>
    </div>
  </section>
  {% endblock %}

  <footer>
    <div class="container">
      <div class="row">
        <div class="col-md-12">
          <p>
            <i class="fa fa-copyright"></i>Copyright 2022 - DSWeb/TADS/CNAT/IFRN
          </p>
        </div>
      </div>
    </div>
  </footer>

  <!-- Scripts -->
  <!-- Bootstrap core JavaScript -->
    <script src="{% static 'enquetes/vendor/jquery/jquery.min.js' %}"></script>
    <script src="{% static 'enquetes/vendor/bootstrap/js/bootstrap.bundle.min.js' %}"></script>

    <script src="{% static 'enquetes/assets/js/isotope.min.js' %}"></script>
    <script src="{% static 'enquetes/assets/js/owl-carousel.js' %}"></script>
    <script src="{% static 'enquetes/assets/js/lightbox.js' %}"></script>
    <script src="{% static 'enquetes/assets/js/tabs.js' %}"></script>
    <script src="{% static 'enquetes/assets/js/video.js' %}"></script>
    <script src="{% static 'enquetes/assets/js/slick-slider.js' %}"></script>
    <script src="{% static 'enquetes/assets/js/custom.js' %}"></script>
    <script>
        //according to loftblog tut
        $('.nav li:first').addClass('active');

        var showSection = function showSection(section, isAnimate) {
          var
          direction = section.replace(/#/, ''),
          reqSection = $('.section').filter('[data-section="' + direction + '"]'),
          reqSectionPos = reqSection.offset().top - 0;

          if (isAnimate) {
            $('body, html').animate({
              scrollTop: reqSectionPos },
            800);
          } else {
            $('body, html').scrollTop(reqSectionPos);
          }

        };

        var checkSection = function checkSection() {
          $('.section').each(function () {
            var
            $this = $(this),
            topEdge = $this.offset().top - 80,
            bottomEdge = topEdge + $this.height(),
            wScroll = $(window).scrollTop();
            if (topEdge < wScroll && bottomEdge > wScroll) {
              var
              currentId = $this.data('section'),
              reqLink = $('a').filter('[href*=\\#' + currentId + ']');
              reqLink.closest('li').addClass('active').
              siblings().removeClass('active');
            }
          });
        };

        $('.main-menu, .scroll-to-section').on('click', 'a', function (e) {
          if($(e.target).hasClass('external')) {
            return;
          }
          e.preventDefault();
          $('#menu').removeClass('active');
          showSection($(this).attr('href'), true);
        });

        $(window).scroll(function () {
          checkSection();
        });
    </script>
</body>
</html>